Bug 1002151 - Review Request: jts - Java Topology Suite
Review Request: jts - Java Topology Suite
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: spatial4j
  Show dependency treegraph
 
Reported: 2013-08-28 10:15 EDT by gil cattaneo
Modified: 2013-11-13 22:37 EST (History)
3 users (show)

See Also:
Fixed In Version: jts-1.13-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msrb: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-28 10:15:01 EDT
Spec URL: http://gil.fedorapeople.org/jts.spec
SRPM URL: http://gil.fedorapeople.org/jts-1.13-1.fc19.src.rpm
Description:
The JTS Topology Suite is an API for modelling and
manipulating 2-dimensional linear geometry. It provides
numerous geometric predicates and functions. JTS
conforms to the Simple Features Specification for
SQL published by the Open GIS Consortium.
Fedora Account System Username: gil
Comment 1 gil cattaneo 2013-10-27 15:50:28 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6105063
Comment 2 Michal Srb 2013-11-04 09:10:42 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jts-1.13-1.fc21.noarch.rpm
          jts-javadoc-1.13-1.fc21.noarch.rpm
          jts-1.13-1.fc21.src.rpm
jts.noarch: W: spelling-error %description -l en_US modelling -> modeling, model ling, model-ling
jts.src: W: spelling-error %description -l en_US modelling -> modeling, model ling, model-ling
jts.src: W: invalid-url Source0: jts-1.13.tar.xz
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint jts-javadoc jts
jts.noarch: W: spelling-error %description -l en_US modelling -> modeling, model ling, model-ling
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
jts-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jts (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
jts-javadoc:
    jts-javadoc

jts:
    jts
    mvn(com.vividsolutions:jts)



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1002151
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java


just two non-blockers:
- since java/src/MANIFEST.MF doesn't really contain anything interesting, I would drop "%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin" together with its configuration
- BR java-devel is not really needed

Approved.
Comment 3 gil cattaneo 2013-11-04 12:46:02 EST
Thanks!

New Package SCM Request
=======================
Package Name: jts
Short Description: Java Topology Suite
Owners: gil
Branches: f19 f20
InitialCC: java-sig
Comment 4 Gwyn Ciesla 2013-11-04 13:16:59 EST
Git done (by process-git-requests).
Comment 5 gil cattaneo 2013-11-04 13:37:38 EST
Thanks!
Comment 6 Fedora Update System 2013-11-04 16:27:50 EST
jts-1.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jts-1.13-1.fc20
Comment 7 Fedora Update System 2013-11-04 16:37:17 EST
jts-1.13-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jts-1.13-1.fc19
Comment 8 Fedora Update System 2013-11-05 14:57:42 EST
jts-1.13-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-11-10 02:14:00 EST
jts-1.13-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 10 Fedora Update System 2013-11-13 22:37:59 EST
jts-1.13-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.